Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling
[Java] Interface ProgressListener

    public interface ProgressListener

A listener which is notified as some long running operation makes progress.

Since:
  1.0-milestone-3

Method Summary
`void` | `statusChanged(ProgressEvent event)` Called when the progress status changes.

Method Detail

### statusChanged

    public void statusChanged(ProgressEvent event)

  Called when the progress status changes.
  Parameters:
    `event` - An event describing the status change.
  Since:
    1.0-milestone-3

Gradle API 1.10